=== modified file 'doc/en/release-notes/bzr-2.2.txt'
--- doc/en/release-notes/bzr-2.2.txt	2011-07-06 09:22:00 +0000
+++ doc/en/release-notes/bzr-2.2.txt	2011-09-09 13:30:12 +0000
@@ -5,18 +5,56 @@
 .. toctree::
    :maxdepth: 1
 
+bzr 2.2.6
+#########
+
+:2.2.6: NOT RELEASED YET
+
+Compatibility Breaks
+********************
+
+New Features
+************
+
+Bug Fixes
+*********
+
+Improvements
+************
+
+Documentation
+*************
+
+API Changes
+***********
+
+Internals
+*********
+
+Testing
+*******
+
+
 bzr 2.2.5
 #########
 
-:Codename: Suggestions welcome
-:2.2.5: NOT RELEASED YET
+:2.2.5: 2011-09-01
+
+This is a bugfix release. One regression introduced in 2.2b1 has been fixed
+for some rare conflict resolutions. Also a warning is now emmitted when
+branching an out-of-date ubuntu packaging branch. Upgrading is recommended
+for all users on earlier 2.2 releases.
 
 Compatibility Breaks
 ********************
 
+None.
+
 New Features
 ************
 
+None.
+
 Bug Fixes
 *********
 
@@ -27,15 +65,6 @@
 * Don't crash while merging and encountering obscure path conflicts
   involving different root-ids. (Vincent Ladeuil, #805809)
 
-Improvements
-************
-
-Documentation
-*************
-
-API Changes
-***********
-
 Internals
 *********
 
@@ -43,9 +72,6 @@
   in the value string. Fix suggested by ConfigObj's author Michael Foord.
   (Alexander Belchenko, #710410)
 
-Testing
-*******
-
 
 bzr 2.2.4
 #########

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-09-06 11:01:30 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-09-13 12:29:22 +0000
@@ -5,10 +5,69 @@
 .. toctree::
    :maxdepth: 1
 
+bzr 2.4.2
+#########
+
+:2.4.2: NOT RELEASED YET
+
+External Compatibility Breaks
+*****************************
+
+.. These may require users to change the way they use Bazaar.
+
+New Features
+************
+
+.. New commands, options, etc that users may wish to try out.
+
+Improvements
+************
+
+.. Improvements to existing commands, especially improved performance 
+   or memory usage, or better results.
+
+Bug Fixes
+*********
+
+* Fixed loading of external merge tools from config to properly decode
+  command-lines which contain embedded quotes. (Gordon Tyler, #828803)
+
+Documentation
+*************
+
+.. Improved or updated documentation.
+
+API Changes
+***********
+
+.. Changes that may require updates in plugins or other code that uses
+   bzrlib.
+
+Internals
+*********
+
+.. Major internal changes, unlikely to be visible to users or plugin 
+   developers, but interesting for bzr developers.
+
+Testing
+*******
+
+.. Fixes and changes that are only relevant to bzr's test framework and 
+   suite.  This can include new facilities for writing tests, fixes to 
+   spurious test failures and changes to the way things should be tested.
+
+
 bzr 2.4.1
 #########
 
-:2.4.1: NOT RELEASED YET
+:2.4.1: 2011-09-08
+
+This is a bugfix release. Upgrading is recommended for all users of earlier
+2.4 releases.
+
+It includes fixes from previous stable releases and address some issues with
+the test suite.
+
 
 External Compatibility Breaks
 *****************************

=== modified file 'doc/en/whats-new/whats-new-in-2.2.txt'
--- doc/en/whats-new/whats-new-in-2.2.txt	2011-07-05 11:54:54 +0000
+++ doc/en/whats-new/whats-new-in-2.2.txt	2011-09-09 12:32:08 +0000
@@ -38,6 +38,9 @@
 Bazaar 2.2.4 fixed a regression for some interactions with the launchpad
 server.
 
+Bazaar 2.2.5 fixed a regression in some rare conflict resolutions and warns
+when branching an out-of-date ubuntu packaging branch.
+
 See the :doc:`../release-notes/index` for details.
 
 Bazaar 2.2 is fully compatible both locally and on the network with 2.0

=== modified file 'doc/en/whats-new/whats-new-in-2.4.txt'
--- doc/en/whats-new/whats-new-in-2.4.txt	2011-08-12 09:49:24 +0000
+++ doc/en/whats-new/whats-new-in-2.4.txt	2011-09-13 12:29:22 +0000
@@ -20,6 +20,11 @@
 2.1, 2.2 and 2.3, and can read and write repositories generated by all
 previous versions.
 
+Bazaar 2.4.1 includes all the fixes in the un-released 2.0.7, 2.1.5, 2.2.6
+and 2.3.5 versions that weren't included in 2.4.0 and fixes some bugs on its
+own.
+
+
 Dropping Python2.4 and Python2.5 support
 ****************************************
 

